
Member Nodes - MNDeployment #3708

Minnesota Population Center

2013-04-04 18:56 - Rebecca Koskela

Status: Operational Start date: 2013-10-15

Priority: Normal Due date: 2013-11-04

Assignee: Laura Moyers % Done: 89%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Latitude: 44.97 MN_Date_Online: 2014-12-22

Longitude: -93.23 Name:  

MN Description: The Minnesota Population Center

disseminates integrated census and

survey data from the U.S. and around

the world; spatial boundary data for U.S.

and international administrative units;

and global environmental data on topics

including land use, land cover, and

climate.

Logo URL:  

Base URL: https://www.pop.umn.edu/index.php Date Upcoming:  

NodeIdentifier: urn:node:US_MPC Date Deprecated:  

MN Tier: Tier 4 Information URL:  

Software stack: Slender Node Version:  

Description

The Minnesota Population Center would like to become a Member Node.  The project director is also PI on the Terra Populus:A

Global Population/Environment Data Network (TerraPop) DataNet.

The MN description form has been completed and is attached to this ticket.

Subtasks:

Task # 4089: Schedule follow-up meeting with MPC for November Closed

Task # 4090: Establish technical contacts between CCIT and MPC folks; determine coredev... Closed

Task # 4139: Touch base with MPC to see who to have in follow-up telecon in mid- to lat... Closed

Task # 5530: MPC PROD: Generate client certificate for urn:node:MPC Closed

Task # 5909: MPC: Planning Closed

  Task # 5910: MPC: Join DataONE Closed

    Task # 5911: MPC: Integrate MN representatives with community Closed

    Task # 5912: MPC: Create DataONE identities Closed

    Task # 5913: MPC: Create MN description document Closed

  Task # 5914: MPC: Scope the implementation Closed

  Task # 5915: MPC: Plan the implementation Closed

Task # 5916: MPC: Developing Closed

  Task # 5917: MPC: Design, code and component test a new MN implementation Closed

  Task # 5918: MPC: Local Testing Closed

    Task # 5919: MPC: Verify that MN passes the Web Tester Closed

    Task # 5920: MPC: Verify that MN passes the Replication Tester Closed

Task # 5921: MPC: Testing Closed

  Task # 5922: MPC: Registration in environment Closed

    Task # 5923: MPC: Register new Science Metadata formats Closed

    Task # 5924: MPC: SSL Certificates Closed

      Task # 5925: MPC: Generate client certificate. Closed

      Task # 5926: MPC: Verify successful installation of client side certificate Closed

      Task # 5927: MPC: Verify successful installation of server side certificate Closed
    Task # 5928: MPC: Register MN Closed

      Task # 5929: MPC: Set up Node document Closed

      Task # 5930: MPC: Set the node status to approved (start synchronization) Closed

    Task # 5931: MPC: Synchronization Rejected

      Task # 5932: MPC: Set up synchronization of the MN Rejected

    Task # 5933: MPC: Content Review Closed

      Task # 5934: MPC: Verify Science Data Closed

        Task # 5935: MPC: Verify Science Data content Closed

        Task # 5936: MPC: Verify that the Science Data is returned with the correct HTTP Conten... Closed

      Task # 5937: MPC: Verify Science Metadata Closed

        Task # 5938: MPC: Verify Science Metadata content Closed

        Task # 5939: MPC: Verify Science Metadata is returned with the correct HTTP Content-Type Closed

        Task # 5940: MPC: Verify that the Science Metadata is correctly processed by CNs Closed

      Task # 5941: MPC: Verify Resource Maps Closed

        Task # 5942: MPC: Verify Resource Map content Closed

        Task # 5943: MPC: Verify Resource Map is returned with the correct HTTP Content-Type Closed

        Task # 5944: MPC: Verify that Resource Maps are correctly processed by CNs. Closed

    Task # 5949: MPC: Replication testing (if Tier 4) Closed

  Task # 5978: MPC: Transition to production Closed

    Task # 5979: MPC: Mutual acceptance Closed

    Task # 5980: MPC: Verify content available for Current MNs web page Closed

    Task # 5981: MPC: Create legal documents Closed

    Task # 5982: MPC: Create news item Closed

    Task # 5983: MPC: Formal announcement Closed

Task # 8258: (MPC) unable to connect to MN Closed

Task # 8668: MPC- upgrade GMN version 1.2.10 to 3.0.4 New

Related issues:

Related to Infrastructure - Story #4172: Support for Data Documentation Initi... Rejected

Blocked by Infrastructure - Story #4088: Design and schedule Slender Node bas... Closed

History

#1 - 2013-07-31 15:07 - Laura Moyers

7/26/13 MN Wranglers meeting:  Rebecca spoke to Steve Ruggles @ Minnesota Population Center.  They WILL need logins (user authentication

before download of data).  Looking  at later in PY5. Rebecca to find out what kind of authentication they are using now;  answer technical questions

with Cathy Fitch/Wendy Thomas 

#2 - 2013-10-01 13:29 - Laura Moyers

- Status changed from New to Planning

In a meeting with MPC on 9/30/13, we made plans to put MPC technical folks in contact with D1 CCIT folks.  Follow-up meeting early November.

#3 - 2013-10-04 22:21 - John Cobb

- Assignee changed from John Cobb to Bruce Wilson

#4 - 2013-10-15 13:16 - Bruce Wilson

Notes from 9/30/13 telecon are at http://epad.dataone.org/MPC-and-DataONE.   They have their own internal software (includes using ESRI tools). 

They're interested in initially publishing metadata to DataONE.  A clean way of harvesting metadata is useful.  SlenderNode (OAI-PMH harvester)

could be a very relevant option for MPC, as this would let them stand up OAI-PMH and make the data available to multiple projects, not just

DataONE.  
#5 - 2013-10-29 16:50 - Bruce Wilson

- Due date set to 2014-07-31

- Target version set to Deploy by end of Y5Q4

- Start date set to 2013-10-29

epad at http://epad.dataone.org/MPC-and-DataONE updated with notes from today's discussion.  Key issue will be how to get first the metadata from

MPC to DataONE.  MPC also needs to address how they want to handle identifiers for data and metadata.  Tentatively scheduling for end of year 5

based on the current level of effort anticipated and technical questions that need to be resolved.  

#6 - 2013-11-02 14:58 - Bruce Wilson

- Software stack set to Slender Node

- Latitude set to 44.97

- Longitude set to -93.23

- MN Tier set to Tier 1

- OAI-PMH Stack set to TBD

- Base URL set to https://www.pop.umn.edu/index.php

Good discussion this week via email; follow-up telecon planned.  The OAI-PMH approach with the (planned) slender node is the most desirable option

for MPC at this point.  That would make them a primarily metadata member node.  They do understand and are interested in making data more

directly available.  A key issue is that they do data set assembly on the fly, using a mixture of some data in databases and some in files.  They are

also looking at an overall restructure of several of their services.  For metadata, key challenges are agreeing on a metadata format (which DataONE

may need to add) and working how how they want to serve their metadata, which is all in a database at this point.

#7 - 2013-11-11 15:21 - Bruce Wilson

Met with MPC staff 2013-11-11; notes on epad at http://epad.dataone.org/MPC-and-DataONE.

MPC to work on determining which stack to use for OAI-PMH; DataONE needs to work on the Slender Node implementation to consume OAI-PMH

(Dublin Core).  We do need to advise MPC of any limitations we place on Dublin Core and it would be useful to note what extensions we support. 

Note that their metadata will link to a landing page.  Data is not available on-demand, by and large.  

#8 - 2014-04-21 11:18 - Laura Moyers

- Status changed from Planning to Testing

#9 - 2014-07-03 18:15 - Laura Moyers

- NodeIdentifier set to urn:node:MPC

#10 - 2014-08-04 18:47 - Laura Moyers

- Due date changed from 2014-07-31 to 2014-10-31

- Target version changed from Deploy by end of Y5Q4 to Deploy by end of Y1Q1

#11 - 2014-09-29 21:30 - Laura Moyers

- Target version changed from Deploy by end of Y1Q1 to Deploy by end of NCTE

#12 - 2014-12-03 21:21 - Laura Moyers

- NodeIdentifier changed from urn:node:MPC to urn:node:US_MPC
In their nodeID, MPC wants to mirror us.mpc, the identifier registered with the DDI Alliance.  Use of "." in nodeIDs is problematic, hence the use of "_"

to retain a country_node format.

Also, see the updated Member Node Description Document on ticket https://redmine.dataone.org/issues/5913; the MNDD attached here is the

original and is obsolete.

#13 - 2015-01-02 16:42 - Laura Moyers

- Target version changed from Deploy by end of NCTE to Operational

- Due date changed from 2014-10-31 to 2013-10-15

- MN_Date_Online set to 2014-12-22

- Status changed from Testing to Operational

#14 - 2015-04-16 01:05 - Laura Moyers

- Assignee changed from Bruce Wilson to Laura Moyers

#15 - 2015-05-23 00:12 - Laura Moyers

- MN Description set to The Minnesota Population Center disseminates integrated census and survey data from the U.S. and around the world; spatial

boundary data for U.S. and international administrative units; and global environmental data on topics including land use, land cover, and climate.

#16 - 2016-04-08 16:51 - Laura Moyers

- MN Tier changed from Tier 1 to Tier 4

MPC is a GMN (needs to be updated).

#17 - 2018-01-09 21:09 - Dave Vieglais

- Sprint set to Ongoing Operational

#18 - 2018-02-07 02:28 - Monica Ihli

- Subject changed from Minnesota Population Center  to Minnesota Population Center

Files
